﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register assembly="Stimulsoft.Report.WebDesign" namespace="Stimulsoft.Report.Web" tagprefix="cc3" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <cc3:StiWebDesigner runat="server" ID="StiWebDesigner1" />
    </form>
    <script type="text/javascript">        
        //Example add custom button to home toolbar panel
        var homePanel = jsStiWebDesigner1.options.homePanel;

        //Add buttons group to insert panel
        var buttonsGroup = jsStiWebDesigner1.GroupBlock("buttonsGroup1", "Group1"); //groupName, groupText
        var buttonsGroupTable = jsStiWebDesigner1.GroupBlockInnerTable();
        buttonsGroup.container.appendChild(buttonsGroupTable);

        //Add images for custom buttons to designer images collection
        jsStiWebDesigner1.options.images["ImageForCustomButton1"] = "https://www.stimulsoft.com/images/blocks/ultimate-buttons/logo.png"; //For example

        //Add big button to buttons group
        var customBigButton = jsStiWebDesigner1.BigButton("customButton1", null, "Custom Button", "ImageForCustomButton1", "Tooltip for customButton1", null, jsStiWebDesigner1.GetStyles("StandartBigButton"));
        //name, groupName, caption, imageName, toolTip, arrow, styles

        buttonsGroupTable.addCell(customBigButton).style.padding = "2px";
        
        //customBigButton onclick event
        customBigButton.action = function () {
            alert("customButton was pressed!");
        }

        //Add buttonsGroup and separator to customPanel
        homePanel.firstChild.addCell(buttonsGroup);
        homePanel.firstChild.addCell(jsStiWebDesigner1.GroupBlockSeparator());
    </script>
</body>
</html>
